=== debian/control ===
Source: mavsdk
Priority: optional
Maintainer: hcb <hcb@archaeopteryx>
Build-Depends: debhelper (>= 11), libjsoncpp-dev, libcurl4-openssl-dev, libtinyxml2-dev
Standards-Version: 4.1.3
Section: libs
Homepage: https://mavsdk.mavlink.io/main/en/index.html
Vcs-Browser: https://github.com/mavlink/MAVSDK
Vcs-Git: https://github.com/mavlink/MAVSDK.git

Package: libmavsdk-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmavsdk0 (= ${binary:Version}), ${misc:Depends}
Description: MAVSDK API for Mavlink-controlled vehicles
 This provides the development headers for the mavsdk C++ library.

Package: libmavsdk0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libjsoncpp1, libcurl4, libtinyxml2-6a
Description: MAVSDK API for Mavlink-controlled vehicles
 This provides the runtime libraries for the mavsdk C++ library.
