=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@ --without=build-stamp --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=cmake -O--builddirectory=build -- \
		-DCMAKE_BUILD_TYPE=Release \
		-DBUILD_SHARED_LIBS=ON \
		-DBUILD_TESTING=OFF \
		-DSUPERBUILD=OFF \
		-DCMAKE_INSTALL_PREFIX=/usr
